org.apache.mina.core.service

## Interface TransportMetadata

- All Known Implementing Classes:
    DefaultTransportMetadata

      public interface TransportMetadata

  Provides meta-information that describes an `IoService`.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends SocketAddress>` | `getAddressType()` Returns the address type of the service.
    `Set<Class<? extends Object>>` | `getEnvelopeTypes()` Returns the set of the allowed message type when you write to an `IoSession` that is managed by the service.
    `String` | `getName()` Returns the name of the service.
    `String` | `getProviderName()` Returns the name of the service provider (e.g.
    `Class<? extends IoSessionConfig>` | `getSessionConfigType()` Returns the type of the `IoSessionConfig` of the service
    `boolean` | `hasFragmentation()` Returns `true` if the messages exchanged by the service can be fragmented or reassembled by its underlying transport.
    `boolean` | `isConnectionless()` Returns `true` if the session of this transport type is connectionless.

- - ### Method Detail

    - #### getProviderName

          String getProviderName()

      Returns the name of the service provider (e.g. "nio", "apr" and "rxtx").

    - #### getName

          String getName()

      Returns the name of the service.

    - #### isConnectionless

          boolean isConnectionless()

      Returns `true` if the session of this transport type is connectionless.

    - #### hasFragmentation

          boolean hasFragmentation()

      Returns `true` if the messages exchanged by the service can be fragmented or reassembled by its underlying transport.

    - #### getAddressType

          Class<? extends SocketAddress> getAddressType()

      Returns the address type of the service.

    - #### getEnvelopeTypes

          Set<Class<? extends Object>> getEnvelopeTypes()

      Returns the set of the allowed message type when you write to an `IoSession` that is managed by the service.

    - #### getSessionConfigType

          Class<? extends IoSessionConfig> getSessionConfigType()

      Returns the type of the `IoSessionConfig` of the service

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.